Where communities thrive


  • Join over 1.5M+ people
  • Join over 100K+ communities
  • Free without limits
  • Create your own community
People
Repo info
Activity
  • Sep 20 21:18
    oliverfoster review_requested #37
  • Sep 20 21:18
    oliverfoster assigned #37
  • Sep 20 21:18
    oliverfoster opened #37
  • Sep 20 21:18
    oliverfoster labeled #37
  • Sep 20 21:18
    oliverfoster review_requested #212
  • Sep 20 21:18
    oliverfoster assigned #212
  • Sep 20 21:18
    oliverfoster opened #212
  • Sep 20 21:18
    oliverfoster labeled #212
  • Sep 20 21:18
    oliverfoster opened #135
  • Sep 20 21:18
    oliverfoster review_requested #135
  • Sep 20 21:17
    oliverfoster labeled #135
  • Sep 20 21:17
    oliverfoster assigned #135
  • Sep 20 21:17
    oliverfoster edited #166
  • Sep 20 21:16
    oliverfoster edited #166
  • Sep 20 21:16
    oliverfoster review_requested #166
  • Sep 20 21:16
    oliverfoster labeled #166
  • Sep 20 21:15
    oliverfoster assigned #166
  • Sep 20 21:15
    oliverfoster opened #166
  • Sep 20 21:11
    oliverfoster review_requested #223
  • Sep 20 21:11
    oliverfoster labeled #223
Oliver Foster
@oliverfoster
It's pretty straightforward. You mostly need a custom spoor extension.
eleanor-heath
@eleanor-heath
Oliver Foster
@oliverfoster
@safwanhossain92_twitter
Safwan Hossain
@safwanhossain:matrix.org
[m]
Hi there, I have been using adapt-certificate but it doesn't show certification after course completition.
Oliver Foster
@oliverfoster
I had said that it was old and may be broken
And that you might need to fix it
Did you read the instructions?
It doesn't say anything about showing the certificate after course completion
It says you have to include a link to launch it.
shivatallani
@shivatallani
Hi.. I'm using 5.13 version of the framework. The previous version that I worked on was 5.10 in which I could import jquery extensions like jPlayer using define within any component. With the latest version 5.13 i'm unable to do the same. The bundler throws an error 'Cannot read property 'type' of undefined'.. Any help on this?
Oliver Foster
@oliverfoster

Hi.. I'm using 5.13 version of the framework. The previous version that I worked on was 5.10 in which I could import jquery extensions like jPlayer using define within any component. With the latest version 5.13 i'm unable to do the same. The bundler throws an error 'Cannot read property 'type' of undefined'.. Any help on this?

Can you be more specific on which file and line the error is coming from?

Oliver Foster
@oliverfoster

Quick + 1s

ES6 Conversions

Item scoring

Accessibility

Oliver Foster
@oliverfoster
  • matching and nvda not narrative
Kevin Doherty
@kevindoherty30
Hi @oliverfoster I have just seen that adaptlearning/adapt_framework#3142 is showing as fixed on the 5.14.0 framework release. Does this just require the framework update or are there any plugin updates required for it?
tomgreenfield
@tomgreenfield
i need to do some releases of plugins...will try to this week
Oliver Foster
@oliverfoster
Cahir O'Doherty
@cahirodoherty-learningpool
Hey guys, urgent PR here adaptlearning/adapt-contrib-media#220
Thanks @tomgreenfield for pinpointing the problem so quickly
Cahir O'Doherty
@cahirodoherty-learningpool
happy for me to get that merged and tagged?
tomgreenfield
@tomgreenfield
cheers cahir
Kevin Doherty
@kevindoherty30
Hi All,
We are currently testing f/w 5.14.0 and looking to test out adaptlearning/adapt_framework#3142, although the MCQ/GMCQ updates haven't yet been tagged in a released version of the components. Does anyone know when these plugin updates might get released?
tomgreenfield
@tomgreenfield
i can release those today for you kevin
Kevin Doherty
@kevindoherty30
That would be great, thank you @tomgreenfield
ethan-lp
@ethan-lp
Hey guys, just wanted to query an issue we've seen from Customers today. When assessment feedback is presented to a user placeholders such as {{{score}}} and {{{maxScore}}} are only returning 0. Just wanted to check if we could be missing something regarding config?
Oliver Foster
@oliverfoster
need to know which version of the fw and assessment you're using @ethan-lp
Oliver Foster
@oliverfoster
image.png
current version works
ethan-lp
@ethan-lp
@oliverfoster Thank you. FW is 5.14.0 and Assessment is 4.4.0. So I'll need to dig a little further I think
Oliver Foster
@oliverfoster
:+1:
See if it works using a vanilla course first?
Have you got branching / randomisation on?
ethan-lp
@ethan-lp
Yeah I checked that out already with a vanilla course and only OS plugins. Avoided branching, and with randomisation on or off still no luck
Oliver Foster
@oliverfoster
cool
was it broken in os?
ethan-lp
@ethan-lp
Yes it was also breaking for me with that set up, when I debug through adapt-assessmentArticleModel.js the '_getScore' and '_getMaxScore' are only ever returning 0 for me
Oliver Foster
@oliverfoster
:+1:
will have a look in a minute
ethan-lp
@ethan-lp
Thank you @oliverfoster
eleanor-heath
@eleanor-heath

model.maxScore returns undefined for me in this function within the assessmentArticleModel

_getMaxScore: function() {
const questionComponents = this._getCurrentQuestionComponents();
const maxScore = questionComponents.reduce((maxScore, model) => (maxScore += model.maxScore || 0), 0);
return maxScore;
}

tomgreenfield
@tomgreenfield
does it work with the master branch? the framework hasn't had a tagged release yet with the scoring stuff
Oliver Foster
@oliverfoster
it's because you're using the master assessment which wasn't for 5.14.0
or what tom said
tomgreenfield
@tomgreenfield
i'd prefer to do a release of the framework before the src/core ripper pr goes in. how does that make you feel @oliverfoster?
Oliver Foster
@oliverfoster
warm and fuzzy
tomgreenfield
@tomgreenfield
haha
cool, will get that out today